### Method

# Cogl MatrixStack get_entry

#### Declaration [src]

    CoglMatrixEntry*
    cogl_matrix_stack_get_entry (
      CoglMatrixStack* stack
    )

#### Description [src]

Gets a reference to the current transform represented by a `CoglMatrixEntry` pointer.

The transform represented by a `CoglMatrixEntry` is immutable.

`CoglMatrixEntry`s are reference counted using `cogl_matrix_entry_ref()` and `cogl_matrix_entry_unref()` and you should call `cogl_matrix_entry_unref()` when you are finished with and entry you get via cogl_matrix_stack_get_entry().

#### Return value

Type: `CoglMatrixEntry`

A pointer to the `CoglMatrixEntry` representing the current matrix stack transform.

The returned data is owned by the instance.